Agent Governance Protocol
API ReferenceExecution APILedger

Query ledger events

GET
/agp/ledger-events

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.execution.read, agp.execution.write

Query Parameters

task_id?string
action_id?string
outcome?string
limit?integer
cursor?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/agp/ledger-events"
{  "items": [    {      "type": "EventLedgerRecord",      "event_id": "string",      "prev_event_hash": "string",      "task_id": "string",      "timestamp": "2019-08-24T14:15:22Z",      "agent_id": "string",      "principal_id": "string",      "decision_ref": "string",      "delegation_ref": "string",      "evidence_refs": [        "string"      ],      "tool_action_ref": "string",      "artifact_hashes": [        "string"      ],      "outcome": "initiated",      "signature": {        "alg": "string",        "kid": "string",        "issuer": "string",        "issued_at": "2019-08-24T14:15:22Z",        "payload_hash": "string",        "value": "string"      }    }  ],  "page": {    "next_cursor": "string",    "has_more": true  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}